import { createMemoryHistory, createRouter } from "vue-router";
import PokemonList from "./pages/PokemonList.vue";
import PokemonGame from "./pages/PokemonGame.vue";

const routes = [
    {
        path: "/",
        component: PokemonList
    },
    {
        path: "/pokemonGame/:id",
        component: PokemonGame
    }
];

const router = createRouter({
    history: createMemoryHistory(),
    routes
})

export default router;